diff -Nur olsrd-0.5.3.orig/src/link_set.c olsrd-0.5.3/src/link_set.c
--- olsrd-0.5.3.orig/src/link_set.c	2007-09-16 20:00:22.000000000 +0200
+++ olsrd-0.5.3/src/link_set.c	2007-09-16 20:04:11.000000000 +0200
@@ -1039,12 +1039,12 @@
 
   // calculate the new link quality
   //
-  // start slowly: receive the first packet => link quality = 1 / n
-  //               (n = window size)
+  // start faster: receive the first packets => link quality = 1 / n (n = window size)
+  // the new formula only works for 0 == window size % 4, so use old formula otherwise
 
   entry->loss_link_quality =
     (float)(entry->total_packets - entry->lost_packets) /
-    (float)(entry->loss_window_size < (2 * 4) ? entry->loss_window_size: 
+    (float)(0 != entry->loss_window_size % 4 || entry->loss_window_size < (2 * 4) ? entry->loss_window_size: 
     4 * ((entry->loss_window_size / 4 - 1) * entry->total_packets + entry->loss_window_size) / entry->loss_window_size);
     
   // multiply the calculated link quality with the user-specified multiplier
